/************************************************************************************
 *  Launchpad demprogram: knight_rider
 *
 * A program a P1 port kimeneteire kttt LED-eket a 
 * Knight Rider-hez hasonl mdon, psztzva vilgtja ki.  
 * Az alaprtelmezett rajel belltsokat hasznljuk: 
 * ACLK = n/a, MCLK = SMCLK = DCO alaprtelmezett belltssal (~ 1 MHz)
 * 
 * Hardver kvetelmnyek:
 *  - Launchpad MSP430G22x3 mikrovezrlvel
 *  - Kssnk a P1 portminden kimenetre egy-egy LED-et, egy ramkorltoz 
      ellenllssal (a LED andja egy ellenllson t a portkimenetre, 
      katdja a fldre legyen ktve) 
 *  - Tvoltsuk el a LED1, LED2, Txd, s Rxd jel tktseket!
 *
 *                MSP430G22x3
 *             -----------------
 *         /|\|              XIN|-
 *          | |                 |
 *          --|RST          XOUT|-
 *            |                 |
 *   LED <--- | P1.0       P1.7 |---> LED
 *            |                 |
 *   LED <--- | P1.1       P1.6 |---> LED
 *            |                 |
 *   LED <--- | P1.2       P1.5 |---> LED
 *            |                 |
 *   LED <--- | P1.3       P1.4 |---> LED
 *
 * 
 *  I. Cserny
 *  MTA ATOMKI, Debrecen
 *  May 2012
 *  Fejleszti krnyezet: IAR Embedded Workbench for MSP430 v5.30.1 Kickstart Edition
 ************************************************************************************/
#include "io430.h"
#include "intrinsics.h"
const char a[]={0x01,0x03,0x07,0x0E,0x1C,0x38,0x70,0xE0,0xC0,0x80};
char i;
void main(void) {
  WDTCTL = WDTPW + WDTHOLD;       //Letiltjuk a watchdog idztt
  P1DIR = 0xFF;                   //P1 minden bitje legyen digitlis kimenet
  P1OUT = 0x00;                   //kezdllapot belltsa
  while(1) {
    for(i=0; i<10; i++) {
      P1OUT = a[i];               //bitminta kiraksa a P1 portra
      __delay_cycles(50000);      //Vrakozs kb. 50 ms ideig
    }
    i=10;
    while(i) {                    //a ciklus addig fut, amg i!=0 teljesl
      i--;                        //ciklusvltoz lptetse  
      P1OUT = a[i];               //bitminta kiraksa a P1 portra
      __delay_cycles(50000);      //Vrakozs kb. 50 ms ideig
    }   
  }
}

