/************************************************************************************
 *  Launchpad demprogram: ledflash2
 *
 * A program LED2-t villogtatja, kb 2 Hz-es frekvencival.
 * Az alaprtelmezett rajel belltsokat hasznljuk: 
 * ACLK = n/a, MCLK = SMCLK = DCO alaprtelmezett belltssal (~ 1 MHz)
 * 
 * Hardver kvetelmnyek:
 *  - Launchpad MSP430G22x3 mikrovezrlvel
 *
 *                MSP430G22x3
 *             -----------------
 *         /|\|              XIN|-
 *          | |                 |
 *          --|RST          XOUT|-
 *            |                 |
 *            |            P1.6 |---> LED2
 *
 * 
 *  I. Cserny
 *  MTA ATOMKI, Debrecen
 *  May 2012
 *  Fejleszti krnyezet: IAR Embedded Workbench for MSP430 v5.30.1 Kickstart Edition
 ************************************************************************************/
#include "io430.h"

void main(void) {
  WDTCTL = WDTPW + WDTHOLD;       //Letiltjuk a watchdog idztt
  P1DIR |= BIT6;                  //P1.6 legyen digitlis kimenet
  while(1) {
    P1OUT ^= BIT6;                //P1.6 llapotnak tbillentse
    __delay_cycles(250000);       //Vrakozs kb. 250 ms ideig
  }
}

