/************************************************************************************
 *  Launchpad demprogram: ledflash_all
 *
 * A program a P1 port minden kimenett kapcsolgatja, kb 1 Hz-es frekvencival.
 * Az alaprtelmezett rajel belltsokat hasznljuk: 
 * ACLK = n/a, MCLK = SMCLK = DCO alaprtelmezett belltssal (~ 1 MHz)
 * 
 * Hardver kvetelmnyek:
 *  - Launchpad MSP430G22x3 mikrovezrlvel
 *  - Kssnk a P1 port minden kimenetre egy-egy LED-et, egy ramkorltoz ellenllssal 
 *  - Tvoltsuk el a LED1, LED2, Txd, s Rxd jel tktseket!
 *
 *                MSP430G22x3
 *             -----------------
 *         /|\|              XIN|-
 *          | |                 |
 *          --|RST          XOUT|-
 *            |                 |
 *   LED <--- | P1.0       P1.7 |---> LED
 *            |                 |
 *   LED <--- | P1.1       P1.6 |---> LED
 *            |                 |
 *   LED <--- | P1.2       P1.5 |---> LED
 *            |                 |
 *   LED <--- | P1.3       P1.4 |---> LED
 *
 * 
 *  I. Cserny
 *  MTA ATOMKI, Debrecen
 *  May 2012
 *  Fejleszti krnyezet: IAR Embedded Workbench for MSP430 v5.30.1 Kickstart Edition
 ************************************************************************************/
#include "io430.h"

void main(void) {
  WDTCTL = WDTPW + WDTHOLD;       //Letiltjuk a watchdog idztt
  P1DIR = 0xFF;                   //P1 minden bitje legyen digitlis kimenet
//P1OUT = 0x55;                   //kezdllapot belltsa ellentem villogshoz
  while(1) {
    P1OUT = ~P1OUT;               //P1 bitjeinek komplementlsa
    __delay_cycles(500000);       //Vrakozs kb. 500 ms ideig
  }
}

