/************************************************************************************
 *  Launchpad demprogram: ledswitch
 *
 * A program LED1-et az S2 nyomgombbal kapcsolgatja ki s be.
 * Az j Launchpad krtynl az S2 nyomgomb felhz ellenllsa 
 * nincs beforrasztva, ezrt be kell kapcsolnunk a bels felhzst.
 * Az alaprtelmezett rajel belltsokat hasznljuk: 
 * ACLK = n/a, MCLK = SMCLK = DCO alaprtelmezett belltssal (~ 1 MHz)
 * 
 * Hardver kvetelmnyek:
 *  - Launchpad MSP430G2553 mikrovezrlvel
 *
 *               MSP430G2553
 *             -----------------
 *         /|\|              XIN|-
 *          | |                 |
 *          --|RST          XOUT|-
 *            |                 |
 *    LED1 <--|P1.0       P1.3  |---> S2
 *
 * 
 *  I. Cserny
 *  MTA ATOMKI, Debrecen
 *  May 2012
 *  Fejleszti krnyezet: IAR Embedded Workbench for MSP430 v5.30.1 Kickstart Edition
 ************************************************************************************/
#include "io430.h"

void main(void) {
  WDTCTL = WDTPW + WDTHOLD;       //Letiltjuk a watchdog idztt
  P1DIR |= BIT0;                  //P1.0 legyen digitlis kimenet
  P1DIR &= ~BIT3;                 //P1.3 legyen digitlis bemenet
  P1OUT |= BIT3;                  //Felfel hzzuk, nem lefel  
  P1REN |= BIT3;                  //Bels felhzs engedlyezse
  while(1) {
    while(P1IN & BIT3);           //lenyomsra vr
    P1OUT ^= BIT0;                //LED1 llapotnak tbillentse     
    __delay_cycles(20000);        //20 ms pergsmentest ksleltets
    while(!(P1IN & BIT3));        //felengedsre vr
    __delay_cycles(20000);        //20 ms pergsmentest ksleltets 
  }
}
