/************************************************************************************
 *  Launchpad demprogram: p1_3_insleep.c
 *
 * A programban az S2 nyomgombbal keltett megszaktsokkal LED1-et ki-be kapcsolgatjuk.
 * 
 * Indulskor s felbredskor MCLK s SMCLK rajele az alaprtelmezett 1 MHz-es DCO 
 * frekvencia ACLK-val nem foglalkozunk. Az inicializls/interupt kiszolgls utn,
 * vrakozs kzben a mikrovezrl LPM4-es energiatakarkos mdban van: a CPU s minden
 * rajel ki van kapcsolva. Ms nven ezt RAM tartalom megrz mdnak hvjk, 
 * a CPU felbresztse csak kls megszaktssal lehetsges.
 *
 * Mintnak felhasznltuk az MSP430D2xx1 mintaprogram gyjtemny (slac463a.zip)
 * P1_04.c programjt (D. Dang, Texas Instruments, Oct. 2010)
 * 
 * Hardver kvetelmnyek:
 *  - Launchpad MSP430G2553 mikrovezrlvel
 *  - Vegyk le a TxD s RxD tktseket!
 *
 *                MSP430G2553
 *             -----------------
 *         /|\|              XIN|-
 *          | |                 |
 *          --|RST          XOUT|-
 *            |                 |
 *     LED1<--|P1.0         P1.3|- S2 gomb --- GND
 *
 * 
 *  I. Cserny
 *  MTA ATOMKI, Debrecen
 *  May 2012
 *  Fejleszti krnyezet: IAR Embedded Workbench for MSP430 v5.30.1 Kickstart Edition
 ************************************************************************************/

#include  "io430.h"

void main(void) {
  WDTCTL = WDTPW + WDTHOLD;  // Letiltjuk a watchdog idztt
//--- P1 PORT belltsa -----------------------------------------------------  
  P1OUT = 0;                 // Minden P1.x alacsony llapotba
  P1DIR = ~BIT3;             // P1.3 bemenet, a tbbi kimenet  
//--- Az albbi kt utastssal bekapcsoljuk P1.3 bels felhzst
  P1OUT |= BIT3;             //Felfel hzzuk, nem lefel  
  P1REN |= BIT3;             //Bels felhzs engedlyezse  
//----------------------------------------------------------------------------
// P1.3 bemenet belltsa: interrupt minden lefut l berkezsekor
//----------------------------------------------------------------------------  
//P1REN |= BIT3;             // P1.3 felhzst itt engedlyezhetnnk
  P1IES |= BIT3;             // P1.3 lefut lre rzkeny
  P1IFG &= ~BIT3;            // P1.3 IFG trlse
  P1IE |= BIT3;              // P1.3 interrupt engedlyezse
//--- Programmegszakts engedlyezse s belps LPM4 mdba -----------------  
 __low_power_mode_4();                 
}

//--- Port 1 programmegszakts kiszolglsa ---------------------------------
#pragma vector=PORT1_VECTOR
__interrupt void Port_1(void)
{
  P1OUT ^= BIT0;             // LED1 (P1.0) tbillentse
  P1IFG &= ~BIT3;            // P1.3 interrupt jelzbit trlse
}

