/************************************************************************************
 *  Launchpad demprogram: p1_3_interrupt.c
 *
 * A programban az S2 nyomgombbal keltett megszaktsokkal LED1-et ki-be 
 * kapcsolgatjuk. Kzben a fprogram LED2-t villogtatja - ez az a folyamat,
 * amit a kls esemny megszakt.
 * MCLK s SMCLK rajele az alaprtelmezett 1 MHz-es DCO frekvencia,
 * ACLK-val nem foglalkozunk. 
 * 
 * Hardver kvetelmnyek:
 *  - Launchpad MSP430G2553 mikrovezrlvel
 *
 *                MSP430G2553
 *             -----------------
 *         /|\|              XIN|-
 *          | |                 |
 *          --|RST          XOUT|-
 *            |                 |
 *     LED1<--|P1.0         P1.3|- S2 gomb --- GND
 *            |                 |
 *     LED2<--|P1.6             | 
 *
 * 
 *  I. Cserny
 *  MTA ATOMKI, Debrecen
 *  May 2012
 *  Fejleszti krnyezet: IAR Embedded Workbench for MSP430 v5.30.1 Kickstart Edition
 ************************************************************************************/

#include  "io430.h"

void main(void) {
  WDTCTL = WDTPW + WDTHOLD;  // Letiltjuk a watchdog idztt
//--- P1 PORT belltsa --------------------------------------------  
  P1OUT = 0;                 // Minden P1.x alacsony llapotba  
  P1DIR |= BIT0+BIT6;        //P1.0 s P1.6 legyen digitlis kimenet
  P1DIR &= ~BIT3;            //P1.3 legyen digitlis bemenet
//--- Az albbi kt utastssal bekapcsoljuk P1.3 bels felhzst  
  P1OUT |= BIT3;             //Felfel hzzuk, nem lefel  
  P1REN |= BIT3;             //Bels felhzs engedlyezse  
//-------------------------------------------------------------------
// P1.3 bemenet belltsa: interrupt minden lefut l berkezsekor
//-------------------------------------------------------------------  
  P1IES |= BIT3;             // P1.3 lefut lre rzkeny
  P1IFG &= ~BIT3;            // P1.3 IFG trlse
  P1IE  |= BIT3;             // P1.3 interrupt engedlyezse  
//--- Programmegszakts engedlyezse s a f programhurok ------------------  
  __enable_interrupt();      // A programmegszakts engedlyezse
  while(1) {
    P1OUT ^= BIT6;           // LED2 tkapcsolsa
    __delay_cycles(250000);  // Kb. 250 ms vrakozs
  }
}

//--- Port 1 programmegszakts kiszolglsa ---------------------------------
#pragma vector=PORT1_VECTOR
__interrupt void Port_1(void)
{
  P1OUT ^= BIT0;             // LED1 (P1.0) tbillentse
  P1IFG &= ~BIT3;            // P1.3 interrupt jelzbit trlse
}

