/************************************************************************
 *  Launchpad demprogram: pwm_soft
 *
 * A programban LED1 fnyerejt folyamatosan vltoztatjuk, 
 * mintha a LED "llegezne". A LED fnyerejt szoftveres PWM
 * segtsgvel szablyozzuk.
 * 
 * A CPU rajele MCLK = 1 MHz lesz. 100 Hz PWM frekvencit vlasztva
 * peridusonknt 10 000 ciklus esik (100 db 0,1 ms-os rats), ez 
 * a bekapcsolt s kikapcsolt llapot sszideje. 
 *
 * A LED kb. 2 s-os flperidusa alatt 200 lpsben linerisan nvekv 
 * kitltst adunk meg, a kvetkez 200 peridusban pedig cskken
 * kitltssel lpkednk vissza.
 *
 *
 * ACLK =  n/a; MCLK = SMCLK = DCO (1 MHz)
 * 
 * Hardver kvetelmnyek:
 *  - Launchpad MSP430G2553 mikrovezrlvel
 *
 *                MSP430G2553
 *             -----------------
 *         /|\|              XIN|-
 *          | |                 |
 *          --|RST          XOUT|-
 *            |                 |
 *     LED1<--|                 |
 *
 * 
 *  I. Cserny
 *  MTA ATOMKI, Debrecen
 *  May 2012
 *  IAR Embedded Workbench for MSP430 v5.30.1 Kickstart Edition
 ************************************************************************/
#include "io430.h"

/** Ksleltet eljrs
 *  A ksleltetst 100 us egysgben kell megadni.
 */
void delay_100us(unsigned int delay_data) {
  while(delay_data--) __delay_cycles(80); 
}

int main(void) {
int i;  
  WDTCTL = WDTPW|WDTHOLD;    // Letiltjuk a watchdog idztt
  BCSCTL1= CALBC1_1MHZ;      // A gyrilag kalibrlt 1 MHz 
  DCOCTL= CALDCO_1MHZ;       // DCO frekvencia belltsa
  P1DIR |= BIT0;             // P1.0 (LED1) kimenet legyen   

  while(1) {
    for (i=1; i<100; i++) {
       P1OUT |= BIT0;        //LED1 bekapcsolsa
       delay_100us(i);       //i-vel arnyos idej ksleltets
       P1OUT &= ~BIT0;       //LED1 kikapcsolsa
       delay_100us(150-i);   //Kiegszt idej ksleltets
    }
    for (i=1; i<100; i++) {
       P1OUT |= BIT0;        //LED1 bekapcsolsa
       delay_100us(100-i);   //i-vel arnyos idej ksleltets
       P1OUT &= ~BIT0;       //LED1 kikapcsolsa
       delay_100us(50+i);    //Kiegszt idej ksleltets
    }
  }

}