/******************************************************************************
 *  Launchpad demprogram: timer_ccr0
 *
 * A program LED1-et s LED2-t ellentemben villogtatja,  kb. 1 s 
 * peridussal. Az idztst a szmll tlcsordulsa adja, de
 * a tlcsorduls most a TACCR0-ban megadott rtknl trtnik. 
 * A tlcsorduls a CCIFG0 bit bebillensekor megszaktst okoz.
 *
 * Timer rajele SMCLK/8 = 125 000 Hz lesz. A LED-ek 0.5 s-os 
 * flperidushoz gy 62500 impulzust kell leszmllni. 
 * zemmd bellts: MCx = 1 szmlls felfel, adott rtkig
 *
 * ACLK =  n/a; MCLK = SMCLK = DCO (1 MHz)
 * 
 * Hardver kvetelmnyek:
 *  - Launchpad MSP430G2553 mikrovezrlvel
 *
 *                MSP430G2553
 *             -----------------
 *         /|\|              XIN|-
 *          | |                 |
 *          --|RST          XOUT|-
 *            |                 |
 *     LED1<--|P1.0         P1.6|-->LED2
 *
 * 
 *  I. Cserny
 *  MTA ATOMKI, Debrecen
 *  May 2012
 *  IAR Embedded Workbench for MSP430 v5.30.1 Kickstart Edition
 ******************************************************************************/
#include "io430.h"

void main (void) {
  WDTCTL = WDTPW|WDTHOLD;           // Letiltjuk a watchdog idztt
  DCOCTL = CALDCO_1MHZ;             // DCO belltsa a gyrilag kalibrlt 
  BCSCTL1 = CALBC1_1MHZ;            // 1 MHz-es frekvencira  
  P1OUT = BIT0;                     // Alaphelyzet: LED1 be , LED2 ki
  P1DIR = BIT0|BIT6;                // P1.0 (LED1) s P1.6 (LED2) kimenet 
  TACCR0 = 62499;                   // peridus = 62500 ciklus  
  TACCTL0 = CCIE;                   // CCR0 interrupt engedlyezse
// Folyamatos szmlls, 8-cal oszts, SMCLK a forrs, TAR trls  
  TACTL = MC_1|ID_3|TASSEL_2|TACLR; // Belltjuk s elindjuk Timer_A-t
   __low_power_mode_0();            // MCLK = KI, GIE = BE  
}

//--- TACCR0 megszakts kiszolglsa ---------------------------------
//--- CCIFG0 automatikusan trldik!
#pragma vector=TIMER0_A0_VECTOR
__interrupt void Timer_A (void)
{
  P1OUT ^= BIT0|BIT6;               // LED-ek llapotnak tbillentse
}
