/******************************************************************************
 *  Launchpad demprogram: timer_poll
 *
 * A program LED1-et s LED2-t ellentemben villogtatja,  kb. 1 s 
 * peridussal. Az idztst a Timer tcsordulsa adja.
 * ACLK =  n/a; MCLK = SMCLK = DCO (~1 MHz)
 * 
 * Hardver kvetelmnyek:
 *  - Launchpad MSP430G2553 mikrovezrlvel
 *
 *                MSP430G2553
 *             -----------------
 *         /|\|              XIN|-
 *          | |                 |
 *          --|RST          XOUT|-
 *            |                 |
 *     LED1<--|P1.0         P1.6|-->LED2
 *
 * 
 *  I. Cserny
 *  MTA ATOMKI, Debrecen
 *  May 2012
 *  IAR Embedded Workbench for MSP430 v5.30.1 Kickstart Edition
 ******************************************************************************/
#include "io430.h"

void main (void) {
  WDTCTL = WDTPW|WDTHOLD;           // Letiltjuk a watchdog idztt
  P1OUT = BIT0;                     // Alaphelyzet: LED1 be , LED2 ki
  P1DIR = BIT0|BIT6;                // P1.0 (LED1) s P1.6 (LED2) kimenet 
  TACTL = MC_2|ID_3|TASSEL_2|TACLR; // Belltjuk s elindjuk Timer_A-t
// Folyamatos szmlls, 8-cal oszts, SMCLK a forrs, TAR trls
  while(1) { 
    while (!TA0CTL_bit.TAIFG);      // Vrunk TAIFG bebillensre
    TA0CTL_bit.TAIFG = 0;           // Trljk a jelzbitet
    P1OUT ^= BIT0|BIT6;             // LED-ek llapotnak tbillentse
  }
}
