/****************************************************************************
 *  Launchpad demprogram: wdt_reset
 *
 * A program LED1-et villogtatja, VLO hasznlata esetn ~1600 ms,
 * a 32 kHz-es LFXT1 hasznlata esetn pedig 500 ms peridusidvel.
 * Az idztst a WDT vgzi, s tlcsordulskor jraindtja a programot.
 * A vrakozs alatt a program LPM3 energitakarkos mdban alszik: 
 * MCLK, SMCLK s DCO kikapcsolva, csak ACLK jr LFXT1 vagy VLO
 * forrsbl.
 *
 * Mintnak felhasznltuk az MSP430D2xx1 mintaprogramok (slac463a.zip)
 * wdt_06.c programjt (D. Dang, Texas Instruments, Oct. 2010)
 * 
 * Hardver kvetelmnyek:
 *  - Launchpad MSP430G2553 mikrovezrlvel
 *  - 32 kHz-es rakvarc (opcionlis)
 *
 *                MSP430G2553
 *             -----------------
 *         /|\|              XIN|-
 *          | |                 |  32 kHz (opcionlis)
 *          --|RST          XOUT|-
 *            |                 |
 *     LED1<--|P1.0             |
 *
 * 
 *  I. Cserny
 *  MTA ATOMKI, Debrecen
 *  May 2012
 *  IAR Embedded Workbench for MSP430 v5.30.1 Kickstart Edition
 *****************************************************************************/
#include "io430.h"

int main( void ) {
// Ha be van ptve a 32 kHz-es kvarc, akkor tegye kommentt a kvetkez sort!  
  BCSCTL3 |= LFXT1S_2;       // ACLK forrsa: LFXT1 helyett VLO
  WDTCTL = WDT_ARST_250;     // forrs ACLK, T = 32/12 * 250 ms 
  P1DIR |= BIT0;             // P1.0 legyen digitlis kimenet
  P1OUT ^= BIT0;             // P1.0 llapotnak tbillentse
  __low_power_mode_3();      // Altatjuk a programot WDT lejrtig
}
